0.----Whatsnew since last version---------------------------------------------
Build 4.6 :
	[ALL]
	- Forgot to credit Mitsutaka Okazaki for his EMU2413! Sorry :)
	- Fixed settings KSCALE and KSCALE 75% from the menu. Thanks Mowgli
	- Fixed a closing from File->Exit bug due to the new menu code. Thanks Mowgli
	- Fixed a minimize then restore bug when PAUSE WHEN INACTIVE was enabled. Thanks Battleman100
	- Made Right-Mouse button also bring up the menu
	- Fixed a possible movie bug. Old movies still compatible

	[SMS]
	- Fixed a BIOS bug where i was calculating checksums for bios's. Thanks Battleman.

	[FRONTEND]
	- Newest CRCS.txt added

Build 4.5 :
	[ALL]
	- FreezeSMS won editors choice award on http://www.vtemulation.com , Check it out :)
	- Changed default priority of the FreezeSMS and base processes increasing speed and reducing latency.
	- Fixed a multiple JOYSTICK plugged in issue with working out redundant joysticks
	- Added RAPID fire buttons separately. You can now have normal and rapid fire buttons.
	- Added Selectable NES Select and Start keys.
	- Fixed a small emulation bug in the sound in regards to volume control
	- Fixed a tiny thread leak bug, thanks Mike.
	- KSCALE and KSCALE with 75% scanlines, filters added. 3 times faster then 2xSAI, Thanks bigly to KAWAKS (Mr K :) team and Elsemi (Nebula)
	- Reduced FreezeSMS executable size by 300kb without using compression
	- Less menu lag (related to sound card). Now stop emulation when menu is accessed
	- Increased PSG sound accuracy, especially noise!	
	- Changed init/deinit system to be easier to maintain
	- And a lot more...

	[GAMEGEAR]
	- Fixed a small SAVE/LOAD state problem not reloading PAGE BANKS
	- Added SRAM emulation fixing a lot of games, such as Shining Force 3 and increasing compatability a lot.

	[SMS]
	- YM2413 FM Emulation!!! 
	- Added auto-patching of non compliant "BIOS" games so all games can now run with BIOS's enabled
	- Fixed random level issue in Mission Impossible, and probably other games

	[FRONTEND]
	- Added RAR support. You can now have your roms compressed to .RAR and run them without decompressing.
	- Added visual styles under Windows XP.
	- Added NES control picture (and others) to the input config.

Build 4.4 :
	[ALL]
	- Changed Sound mixing to software by default which is usually better for streaming sounds, hopefully fixes slowness bug
	- Added RAPID fire support to buttons 1 and 2 for all systems. Enabled in the in-emu Menu.
	- Fixed a "Sound Enabling" bug when Fast Forwarding if you had sound off previously
	- Added a timer to the windows thread to reduce keyboard/menu lag
	- Reduced ram usage of FreezeSMS

Build 4.3 :
	[ALL]
	- Fixed MAJOR Windows 95/98 and ME Crash bug involving DirectDraws RestoreDisplayMode() on exit
	- Added another check to sound buffering which fixed a case of static sound
	- Sound is now stopped when Fast-Forwarding
	- Now record the window position and width and height on EXIT.
	- Added sprite caching giving around 20-40fps boost
	- Fixed a commandline issue involving last system used
	- Tweaked and fixed SG1000 and COLECO issues with certain games
	- Fixed some menu multiple ticking and added a lot more items to the menu	
	- Added automatic frame skipper
	- Made FullScreen always be in 16bit mode independant of Desktop colordepth which gives more filter options and speed.
	- Fixed a "mouse cursor" still visible bug when menu wasn't enabled and LightGun game wasn't being played
	- Added more error protection incase registry settings were lost or corrupted

	[SG1000]
	- Added SRAM emulation for THE CASTLE in Sg1000
	- Fixed CPU issues to be more accurate
	- Fixed a RAM mirroring error thanks to Charles Macdonald

	[COLECO]
	- Changed CPU cycles method increasing accuracy

	[GAMEGEAR]
	- Changed CPU cycles method increasing accuracy in a lot of games, including Rise of the Robots.



Build 4.2 :
	[ALL]
	- Added FullScreen menu support (this was a hassle :)
	- Forgot to fully add DEADZONE support to the emulator, its now in.
	- Added support for upto 20 buttons on each joypad/joystick device, up from 10
	- Hopefully Fixed NES input problem some people were having. You setup the NES controls from the same place as Master System, etc
	- Added commandline support. To use, rename core.dat to core.exe and type "core romname.sms"
	- Added more sampling rates, 8000hz, 11025hz, 22050hz, 44100hz(default) and 48000hz(High quality)
	- Added volume control within the emulator
	- Changed sound buffering to be data fed not data pushed resulting in better sound
	- Fixed small sound bug which may have caused crashes in frequency setting
	- Added a lot of menu settings and prettied up the menu interface
	- Fixed small bug when loading a save state which didnt exist, causing emulation to be stopped and not started again
	- Fixed a possible STALL when Stopping emulation more then once
	- Now RECACHE palettes when loading savestates and changing Bit Depths.
	- Fixed SG1000 and GAMEGEAR loading/saving states, now upto date like SMS and COLECO
	- Fixed SG1000 and GAMEGEAR movie saving/loading, now upto date also.
	- Removed "Colored bar on left side of screen" for Master System games.
	- Fixed some ALT-TABBING from Fullscreen issues.

	[SMS]
	- Fixed a "Play BUILT-IN Bios" game bug.
	- Changed interupt status to happen slightly before interupt fixing Zool and Sega Chess


	[GUI]
	- Fixed NTDLL error bug a lot of people were getting in Windows 2k/XP. Thanks Maxim baby
	- 21 GameGear FRZ files added thanks to ASTYAX


Build 4.1 :
	[ALL]
	- Removed annoying message box("HI!")when reverting to software mixing on your soundcard. Thanks Alan.
	- Fixed small PAUSE WHEN INACTIVE bug (hopefully, please report back). Thanks Thumper.

	
	[SMS]
	- Fixed small 3d glasses problem (All 3d games won't give you epilipsy fits now). Thanks Tim.
	- Fixed a small Woody Pop paddle issue. Thanks Tim.


Build 4.0 : HAPPY NEW YEAR (woah late isnt it :)
	[ALL SYSTEMS]
	- Added NES driver, its fairly accurate, no sound at the moment
	- Added NETPLAY to Sega Master System. Works great on LAN and well on ADSL/CABLE but not too well on normal Modems.
	- (read FREEZESMS.txt to get the details on NETPLAY)
	- Changed memory allocation on all systems
	- Fixed small Windows GDI leaking bug
	- Fixed some sprite corruption problems in SG1000 and COLECO games 
	- Rewrote tile caching for SMS and GG systems resulting in slight(10fps) speedup
	- Rewrote Direct Sound and Sound Syncing handling code resulting in modest(60fps) speedup when sound is enabled
	- Fixed movies and savestates allowing them to be used on other machines then the one it was saved on.
	- PAR codes now work no matter which way you load the rom
	- Made FreezeSMS not initialize any unused but plugged in joysticks resulting in slight speed up
	- Rewrote DirectInput code to be better behaved with all input devices
	- Added DEADZONE configuration for Joy Sticks
	- Added seperate thread for emulator core allowing multiple CPU core computers to benefit from speedup
	- Improved NOISE emulation for SMS/GG/SG1000 and COLECO due to improved information. Thanks Maxim.
	- Added ScreenShot taking function, press F12 to take a screenshot
	- Added 3 new filters, 2xSAI, Super2xSAI and SuperEagle. Only work in 16bit color atm. Thanks Kreed
	- Added a menu system which can be activated by pressing ESCAPE key during game. 
	- Changed on-the-fly window resizing to masking instead, which is needed for a lot of NES games
	- Rewrote FreezeSMS documentation to include detailed operation of FreezeSMS
	- A lot of other stuff I forgot to write down
	
	[SMS]
	- Added 512byte header detection (fixes black screen issue with unclean roms)
	- Added lightgun emulation (every game works fine)
	- Added Paddle Emulation (Alex Kidd BMX Trial, Woody Pop,etc)
	- Increased color accuracy of the palette
	- Fixed a small Palette Ram bug fixing Xmen - MOJO WORLD
	- Fixed small off-by-one bug in Aerial Assault and few others
	
	[GAMEGEAR]
	- Added a "SMS Screensize" function. You can now play GameGear games in 256x192 mode
	- Fixed a "Drawing when screen off" bug. You won't see any weirdness inbetween title screens now.
	
	[NES]
	- Graphics emulation is fully complete
	- Mappers 0,1,2,3,4,7,9 have been added. Nearly all of the games with these mappers run with no problems
	- At the moment SELECT and START are mapped to Q and W keyboard keys respectively
	- Thanks to the guys in #nesdev for the help with all the obscure NES features

	[GUI] - Maxim
	- File list can show the filetype of roms inside zips
	- Preliminary NES support (no CRCs yet as I have no NES roms)
	- Dump information and warnings added
	- FRZ browsing mode
	- Added icons to tabs
	- You can now drop files and folders to navigate to them in the browser, it checks the extensions
	- Opening a second instance of the GUI mow sends the commandline parameters to the first instance to be handled
	- FRZpacks
	- they're renamed zips with extension .frzpack
	- if passed on the commandline or dropped on the window, they'll be extracted to the "Game info files" folder
	  - which makes FRZ installation easier
	- Added popup menu to folder tree/file browser with useful functions
	- input.dll and unzdll.dll are now compressed and page-aligned
	- Fixed a load of minor bugs
	- Added some nice easter eggs
	- Added fullscreen mode, expecially suitable for those using 640x480 screens (eg. TV out)
	- Wrote my own folder tree code, hopefully solving the problems some people had with the old one
	- PAR codes are now updated immediately - changing the selected game while playing will clear all codes
	- New image handling, allowing UI customisation
	- Movie file support
	- Creates folders needed for savegames, etc
	- Added JPEG support to the FRZ file format
	- Added joystick dead zone option
	- Fixed a load more bugs
	- HKCU\Software\Freeze software\FreezeSMS\Settings\Title="Your title here"


Build 3.2 :
	[SMS]
	- Fixed a small BIOS bug which was writing data into the wrong pointer
	- Changed the Master System memory allocation to a more standard one

Build 3.1 :
	- FreezeSMS 1 year anniversary is on 16th of October, been that long? :)
	[ALL EMULATION]
	- Added compressed save states to all systems, not compatible with old ones.
	- Added compressed MOVIE/DEMO recording to all systems, the files are really small.
	- Changed the delay on messages from 2 seconds to 4, easier to read now.
	- Added an icon to the emulator core.

	[SMS]
	- Fixed a sprite emulation bug which some older games used to work properly in 8x16 sprite mode
	- Golvelius, Outrun3d, Road Rash graphics problems fixed.
	- Increased speed slightly in line renderer, gets ~144FPS on p2-333 now with sound, ~650fps on AMD-1400 with sound.
	- Changed the pause emulation so it is now saved with states and movies
	[COLECO]
	- Fixed a small input bug, the HASH key is mapped to NUMPAD "/"


Build 3.0 :
	[ALL EMULATION]
	- Rewrote SN76489 Sound engine, now sounds excellent and 99% accurate to real machine
	  - Improved greatly the way the sound buffer is fed by FreezeSMS, sound is much better overall, especially if your FPS varies a lot.
	  - Sound options are now saved and sound is now ON by default.
	  - Added Bass Boost option to the sound engine, giving you more BASS for your games.
	- Added Triple Buffering and NOVSYNC options for fullscreen.
	- Line interupt emulation fixed, fixing graphical problems in a few games
	- Interupt generation system changed for most support systems increasing compatablity a lot.
	- Added the rest of the TMS9918 modes for both 16bit and 32bit, fixing some Sg1000 games,needed for ColecoVision.
	  - Increased Speed in the TMS9918 1,2 and 3 GFX modes
	- Added sprite limit as an option, so if you like flickery sprites you can enable them.
	- Removed 6 of the filters, now left are Doubled Pixel Mode and Scanlines
	- Improved the way the FPS code works, now gives you your real frame rate for last second instead of estimation.
	- Made fullscreen modes more nice
	- Added Save States, you can have upto 10 per game.
	- Changed the way I was writing to DirectX surfaces, will provide reasonable speed up on modest machines.
	- Made FreezeSMS more friendly to windows, now it updates itself when windows obscure it and such.
	- Changed when I updated the line number to the top of the LoopZ80 instead of bottom, fixes a few things.
	- Added ColecoVision emulation support, aswell support for its 3 bios's
	- Added a HARD RESET to all systems, press CTRL+R to reset.
	- Fixed one small Registry bug which could sometimes cause FreezeSMS to crash, due to it not closing the KEY after opening it
	- Changed the default TMS9918 palette to one which more accurately represents it, thanks to Richard F. Drushel (drushel@apk.net)
	- Improved accuracy of sprite collision detection

	[SMS]
	- Compatability of Master System increased to 100%, only YS(japanese) still has gfx problems
	- Bios emulation been fixed, now all bios's work properly.
	  - Added one more bios to Master System (Hangon & Safari Hunt)
	- Changed the number of lines emulated in PAL mode to 313, fixes Micro Machines.
	- Enabled CodeMaster mapper support, all the CodeMaster games work great.
	- Rewrote the way the CodeMaster graphics modes were handled.
	- Changed the way VDP emulation works thanks to Charles Macdonalds findings.
	- Added some features to the debugger(F7) so you can stop the SMS and view memory contents and change some Z80 settings, still being improved.
	- Added Lightgun emulation, still needs a bit of work, press the left mouse button to shoot, left mouse button is also now mapped to button 1 on joypad.
	- Added 3d Glasses emulation(AUTOMATIC) so you can play 3d games now.
	- Improved the nationality detection
	- Added SaveRAM emulation, its all automatically taken care of. Should be compatible with other emulators.
	- Pit Fighter and Spiderman Return of Sinister 6 now work.
	- Fixed when certain VDP registers could be written to, as some games wanted to write to them at weird times
	
	[GAMEGEAR]
	- Added the SMS caching method to gamegear.
	- Improved the timing fixing problems in some games, Rise of The Robots to mention one.
	- The PAUSE button for the SMS is now also used as the start button on GameGear

	[SG1000]
	- Timing has been improved fixing a few games
	- Changed vSYNC interupt to occur only once per frame maximum instead of a possible 23 times like SMS.
	- Fixed some VDP registers, they now work correctly independant of what GFX mode they are in

	[COLECO]
	- New addition to FreezeSMS, lots of games work, some dont.
	- The NUMPAD on the Coleco is mapped to the NUMPAD on your keyboard.
	- Sound emulation has been added and sounds really good.
	- Fixed some problems with the PALETTE.
	- 3 bios's have been included, Original, No delay and Alternate font.

	[GUI]
	- Added cartridge image displaying capability
	- Added screenshot slideshow option (thanks to LeRock for suggesting it)
	- Settings on the Other Settings tab of the configuration dialogue
	  - Click to start or stop slideshow
	- Added sound option and Bass Boost option
	- Added preview images and descriptions to blitter selector
	- Many hours of work on FRZ files
	  - Hundreds of new and better scans processed and added, thanks to LeRock for supplying them
	  - Dozens of box texts added
	  - All box texts should now say which region they are from
	- The form is now resizable, which also allows it to be used on a 640x480 screen
	- Coded a new filename listbox, with icons, flags and word wrapping
	- Added in-GUI BIOS changing/loading
	- Replaced the menu/combobox/button mess with a much nicer toolbar
	- Improved BIOS loading to work with savestates
	- You can't load more than one instance of the frontend any more
	- Changed shortcut jeys to Alt+? with matching accelerators on the toolbar buttons
	- Fixed a bug in the recent files/folders which caused errors for first-time users
	- No more errors for first-time users who didn't click on Config... I click on it for them! And I disable the Cancel and Close buttons! (heh)
	- Cleared out some unused crap in some of the third-party components, which reduced the file size a bit
	- Executable is now compressed and page-aligned
	- Added automatic colour depth switching
	- Colecovision support added (icon, namelist, config page)
	- Config dialogue now hides tabs with nothing on them yet
	- Zip errors are now handled better
	- Config dialogue ignores presses of Esc/Enter when assigning keys so you can assign them properly now
	- PAR dialogue improved a bit
	
	[Freeze Editor]
	- Made the Freeze Editor much more user friendly
	- The EDITOR is used to create FRZ files for use with FreezeSMS, they contain screenshots, information and cheats about games. Download them from the FreezeSMS site or make your own!
------------------------------------------------------------------------------
	

Build 2.0 WIP:
	[EMULATION]
	-Added GameGear system
	-Added Sg1000 system
	-Rewrite of SN76489 sound engine
	-Added Mode2GFX line renderer for SMS games (F16 Fighter)
	-Codemasters custom GFX mode added
	-Codemasters rom mapping added(Micromachines, Cosmic Spacehead, Dizzy)
	-Added Support for 5 *REAL* Master System bios's
		-Normal Snail Game Bios(USA)
		-Hangon/Snail Game Bios
		-Alex Kidd bios
		-Sonic bios
		-Japanese Bios
	-Added Pro Action Replay support
	-16 and 32bit desktop colour modes supported
	-8 filters are now available
		-Normal
		-Scanlines1
		-Scanlines2
		-Scanlines3
		-Scanlines4
		-Doubled Pixel Mode
		-RGB monitor filter
		-Black and White Filter
		-Mosaic Filter
	-Rewrote time-syncing code, much more accurate and returns cycles to
	 windows operating system more efficiently. You can cap the frame rate
	 to anything you want
	-Added support for FOUR joysticks to be configured and used.
	-Added onscreen messaging system to tell you FPS and other assorted
	 system messages
	-Debugging window showing SMS related information about registers
	 cpu, sound, paging, etc
	-Tile viewer window which shows you all the tiles currently loaded
	 into VRAM, and allowing you to select two to look at closer
	

	[GUI]
	-New GUI coded by Maxim, based around an idea we had
	-Allows box art, screenshots, PAR codes, box information and cheats
	 to be used with the emulator
	-All configuration options are saved in registry
	
	
	

Build 113.7:
	-Rewrote Fullscreen rendering engine
	-Added proper back buffer (default) and also an option to enable triple buffering
	look for it in the Video Config dialog box. Fullscreen graphics is very smooth now
	especially if Triple Buffering is enabled.
	-Finetuned the destroying of gfx,input and sound objects.
	-Improved the way the registry is handled to save config data, and added a few more
	things to be saved within the registry.
	-Fixed another reset bug! This one might have allowed sound to become distorted on
	reset. All reset bugs are now fixed. :)
	
	

Build 111   :
	-Rewrote half of the sound code, if you cant tell the difference, you are blind! ;)
	-Fixed the problem with the NOISE emulation code, so now its good.
	-Fixed small reset bug.
	-Improved DirectX's handling of the main window.
	-Fixed a nasty SRAM bug.
	-[SRC] Add some changes to resolution switching, improving it.

Build 100:
	-Decreased Sound latency.
	-Better emulation of Noise emulation (there is a tiny bug which is
	stopping it from being GREAT, I'll find it.
	-Added ZIP Support, make you the ROM file has the same name as ZIP.
	



Build 95 :
        -Added FullScreen mode with ability to choose between 320x200 to
        1600x1200 fullscreen resolutions.
        -Added FullScreen scaling so you can play games fullscreen at high
        resolutions.
        -Added Save ram support.
        -Added Sound support (Noise emulation not fully complete). Has full
	voice emulation!
        -Added certain features to the GUI such as input configuration, TV
        mode select, etc. Also added a neat little USAGE counter which tells
        you how long and how many times you have used FreezeSMS.
        -Fixed a bug in the windows message handling which made FreezeSMS
        use 100% cpu in the background (many windows emu's have this bug).
        -Fixed many bugs along the way, too many to list, FreezeSMS is now
         very stable.
        -Added support for different 16bit video cards, will fix cards which
        had problems before.
        -Added Prelim Zip support, its in there, but not currently enabled.
        -Added Country Support
        -Improved timing, fixed a few games (Y's to name one) but broke a few
        (Ace of Aces) to name another.
        -Increased Speed a little bit with a few optimizations.

        
        



